eID middleware |

# be.portugal.eid.PTEID_XMLDoc Class Reference

Base class for all the documents. More...

Inheritance diagram for be.portugal.eid.PTEID_XMLDoc:

List of all members.

## Public Member Functions
synchronized void | delete ()
boolean | isAllowed ()
| Check if the document is allowed.
PTEID_ByteArray | getXML () throws java.lang.Exception
| Get the document in an XML format.
PTEID_ByteArray | getCSV () throws java.lang.Exception
| Get the document in an CSV format.
PTEID_ByteArray | getTLV () throws java.lang.Exception
| Get the document in an TLV format.
boolean | writeXmlToFile (String csFilePath) throws java.lang.Exception
| Write the document as XML into the file csFilePath.
boolean | writeCsvToFile (String csFilePath) throws java.lang.Exception
| Write the document as CSV into the file csFilePath.
boolean | writeTlvToFile (String csFilePath) throws java.lang.Exception
| Write the document as TLV into the file csFilePath.
## Protected Member Functions
| PTEID_XMLDoc (long cPtr, boolean cMemoryOwn)
void | finalize ()
## Static Protected Member Functions
static long | getCPtr (PTEID_XMLDoc obj)

## Detailed Description

Base class for all the documents.

## Constructor & Destructor Documentation

be.portugal.eid.PTEID_XMLDoc.PTEID_XMLDoc | ( | long | cPtr,
|  | boolean | cMemoryOwn |
| ) |  |  | `[protected]`

## Member Function Documentation

synchronized void be.portugal.eid.PTEID_XMLDoc.delete | ( |  | ) |

Reimplemented from be.portugal.eid.PTEID_Object.

Reimplemented in be.portugal.eid.PTEID_Biometric, be.portugal.eid.PTEID_CardVersionInfo, be.portugal.eid.PTEID_Certificate, be.portugal.eid.PTEID_Certificates, be.portugal.eid.PTEID_Crypto, be.portugal.eid.PTEID_EId, be.portugal.eid.PTEID_EIdFullDoc, be.portugal.eid.PTEID_Picture, be.portugal.eid.PTEID_Pin, be.portugal.eid.PTEID_Pins, be.portugal.eid.PTEID_SisFullDoc, and be.portugal.eid.PTEID_SisId.

References be.portugal.eid.PTEID_Object.swigCMemOwn.

void be.portugal.eid.PTEID_XMLDoc.finalize | ( |  | ) | `[protected]`

Reimplemented from be.portugal.eid.PTEID_Object.

Reimplemented in be.portugal.eid.PTEID_Biometric, be.portugal.eid.PTEID_CardVersionInfo, be.portugal.eid.PTEID_Certificate, be.portugal.eid.PTEID_Certificates, be.portugal.eid.PTEID_Crypto, be.portugal.eid.PTEID_EId, be.portugal.eid.PTEID_EIdFullDoc, be.portugal.eid.PTEID_Picture, be.portugal.eid.PTEID_Pin, be.portugal.eid.PTEID_Pins, be.portugal.eid.PTEID_SisFullDoc, and be.portugal.eid.PTEID_SisId.

static long be.portugal.eid.PTEID_XMLDoc.getCPtr | ( | PTEID_XMLDoc | obj | ) | `[static, protected]`

References be.portugal.eid.PTEID_XMLDoc.swigCPtr.

PTEID_ByteArray be.portugal.eid.PTEID_XMLDoc.getCSV | ( |  | ) | throws java.lang.Exception

Get the document in an CSV format.

PTEID_ByteArray be.portugal.eid.PTEID_XMLDoc.getTLV | ( |  | ) | throws java.lang.Exception

Get the document in an TLV format.

PTEID_ByteArray be.portugal.eid.PTEID_XMLDoc.getXML | ( |  | ) | throws java.lang.Exception

Get the document in an XML format.

boolean be.portugal.eid.PTEID_XMLDoc.isAllowed | ( |  | ) |

Check if the document is allowed.

boolean be.portugal.eid.PTEID_XMLDoc.writeCsvToFile | ( | String | csFilePath | ) | throws java.lang.Exception

Write the document as CSV into the file csFilePath.

Returns:
  true if succeeded

boolean be.portugal.eid.PTEID_XMLDoc.writeTlvToFile | ( | String | csFilePath | ) | throws java.lang.Exception

Write the document as TLV into the file csFilePath.

Returns:
  true if succeeded

boolean be.portugal.eid.PTEID_XMLDoc.writeXmlToFile | ( | String | csFilePath | ) | throws java.lang.Exception

Write the document as XML into the file csFilePath.

Returns:
  true if succeeded